## cruft-ng 0.9.54

=== Makefile ===
PKG_CONFIG ?= pkg-config
LIBDPKG_LIBS = $(shell $(PKG_CONFIG) --static --libs libdpkg)
LIBDPKG_CFLAGS = $(shell $(PKG_CONFIG) --static --cflags libdpkg)

CXXFLAGS ?= -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2
CXXFLAGS += -Wall -Wextra
override CXXFLAGS += $(LIBDPKG_CFLAGS)
#CXXFLAGS += -std=c++17 #  clang++
SHARED_OBJS = explain.o filters.o shellexp.o usr_merge.o python.o owner.o
CRUFT_OBJS = cruft.o dpkg_exclude.o bugs.o

sid: cruft ruleset cpigs
buster: cruftold cpigsold

tests: test_locate test_explain test_filters test_excludes test_dpkg test_dpkg_old test_python cruftold

cpigs.o: cpigs.cc owner.h
owner.o: owner.cc owner.h
explain.o: explain.cc owner.h
filters.o: filters.cc owner.h
plocate.o: plocate.cc locate.h
mlocate.o: mlocate.cc locate.h

cruft.o: cruft.cc explain.h filters.h dpkg.h python.h
dpkg_lib.o: dpkg_lib.cc dpkg.h
dpkg_popen.o: dpkg_popen.cc dpkg.h

cruftold: $(SHARED_OBJS) $(CRUFT_OBJS) mlocate.o dpkg_popen.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) $(CRUFT_OBJS) mlocate.o dpkg_popen.o -lstdc++fs -pthread -o cruftold
cruft: $(SHARED_OBJS) $(CRUFT_OBJS) plocate.o dpkg_lib.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) $(CRUFT_OBJS) plocate.o dpkg_lib.o $(LIBDPKG_LIBS) -pthread -o cruft

cpigsold: $(SHARED_OBJS) cpigs.o mlocate.o dpkg_popen.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) cpigs.o mlocate.o dpkg_popen.o -lstdc++fs -o cpigsold
cpigs: $(SHARED_OBJS) cpigs.o plocate.o dpkg_lib.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) cpigs.o plocate.o dpkg_lib.o $(LIBDPKG_LIBS) -o cpigs

test_%: %.o test_%.cc dpkg_lib.o usr_merge.o $(LIBDPKG_LIBS)
test_dpkg_old: dpkg_popen.o test_dpkg.cc usr_merge.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_dpkg.cc usr_merge.o dpkg_popen.o -o test_dpkg_old
test_dpkg: dpkg_lib.o test_dpkg.cc usr_merge.o $(LIBDPKG_LIBS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_dpkg.cc usr_merge.o dpkg_lib.o $(LIBDPKG_LIBS) -Wl,--no-demangle -o test_dpkg

ifdef $(BUSTER):
test_locate: test_mlocate
else
test_locate: test_plocate
endif
test_mlocate: test_locate.cc mlocate.o python.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_locate.cc mlocate.o python.o -lstdc++fs -o test_mlocate
test_plocate: test_locate.cc plocate.o python.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_locate.cc plocate.o python.o -o test_plocate

test_python: python.o test_python.cc
test_excludes: dpkg_exclude.o test_excludes.cc
test_diversions: test_diversions.cc dpkg_popen.o usr_merge.o
test_explain: test_explain.cc explain.o dpkg_lib.o usr_merge.o owner.o $(LIBDPKG_LIBS)
test_filters: test_filters.cc filters.o dpkg_lib.o usr_merge.o owner.o $(LIBDPKG_LIBS)

clean:
	rm -f cpigs cruft cruftold ruleset test_?locate test_explain test_filters test_excludes test_dpkg test_dpkg_old test_diversions test_python test_bugs
	rm -f *.o

ruleset: rules/*
	echo Checking for trailing whitespaces
	grep -E -R -H " +$$" rules/ || true
	! grep -E -R -q " +$$" rules/
	./ruleset.sh

flow.png: flow.ditaa
	ditaa flow.ditaa flow.png

debhelper.png: debhelper.ditaa
	ditaa debhelper.ditaa debhelper.png

doc: flow.png debhelper.png

bugs: debian/changelog
	./bugs.py > bugs

release: doc bugs

=== debian/changelog ===
cruft-ng (0.9.54) unstable; urgency=medium

  * fix single file matching feature (Closes: #1030522)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 19 Feb 2023 22:52:47 +0100

=== debian/control ===
Source: cruft-ng
Section: admin
Priority: optional
Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
Build-Depends:
    debhelper-compat (= 13),
Build-Depends-Arch:
    pkgconf,
    libdpkg-dev,
Standards-Version: 4.6.1.0
Homepage: https://github.com/a-detiste/cruft-ng/
Vcs-Git: https://github.com/a-detiste/cruft-ng.git
Vcs-Browser: https://github.com/a-detiste/cruft-ng
Rules-Requires-Root: no

Package: cruft-ng
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  ${dist:Depends},
Suggests:
  ncdu,
Breaks: cruft (<< 0.9.44~), cruft-common
Replaces: cruft (<< 0.9.44~), cruft-common
Description: programs that helps analyse volatile "cruft" files on your system
 cruft-ng is a program to look over your system for anything that shouldn't
 be there, but is - the so called "cruft";  or for anything
 that should be there, but isn't.
 .
 cpigs is a program that by default works like dpigs
 but for volatile data. It prints out the package with the most volatile
 data (usually apt, plocate...)
 It can also dump it's whole state into a .csv format usable for
 more in depth analysis.
 .
 Both cruft-ng and cpigs base most of their results on
 dpkg's & plocate's databases, and also use a built-in custom
 homegrown ruleset to match volatile files
 to the corresponding engine.
 .
 Packages wanting to document such volatile files can do so
 using dh-cruft.

Package: dh-cruft
Depends: ${perl:Depends}, ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Provides: dh-sequence-cruft
Description: plugin for DebHelper to register .cruft and .purge files
 While the files listed in debian/<package>.cruft will simply be
 accounted for; the one in debian/<package>.purge will actually
 be removed in the final purge step after package removal.
 .
 Some demo package can be found at:
 https://github.com/a-detiste/dh-cruft-test

Package: cruft
Depends: cruft-ng, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),bullseye))
export DEB_CPPFLAGS_MAINT_APPEND = -std=gnu++17
endif

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster focal))
export DEB_CPPFLAGS_MAINT_APPEND = -DBUSTER
endif

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),xenial))
export DEB_CPPFLAGS_MAINT_APPEND = -DBUSTER -std=gnu++1y
endif

%:
	dh $@


override_dh_auto_build-indep:

override_dh_auto_build-arch:
	./ruleset.sh $(DEB_DISTRIBUTION)
ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
	make cruftold cpigsold
	mv cruftold cruft
	mv cpigsold cpigs
else
	make cruft cpigs
endif


override_dh_gencontrol-arch:
ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
	dh_gencontrol -- -Vdist:Depends="mlocate"
else
	dh_gencontrol -- -Vdist:Depends="plocate"
endif

override_dh_auto_install-indep:
	dh_auto_install --destdir=debian/cruft-ng
	mkdir -p debian/tmp/
	pod2man --utf8 dh-cruft/dh_cruft debian/tmp/dh_cruft.1


ifneq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),xenial))
override_dh_install-indep:
	dh_install
	sed -i 's/DH_CRUFT_VERSION/"$(DEB_VERSION)"/' debian/dh-cruft/usr/bin/dh_cruft
endif

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
override_dh_install-arch:
	dh_install
	mkdir -p debian/cruft-ng/usr/lib/cruft/
	cp -a dpkg_csv.py debian/cruft-ng/usr/lib/cruft/
endif

## cruft-ng 0.9.55

=== debian/changelog ===
cruft-ng (0.9.55) unstable; urgency=low

  [ Christian Göttsche ]
  * Misc tweaks to rules: chkrootkit, geoipupdate,
    selinux (Closes: #1033804)

  [ NicolasJamar ]
  * refresh misc filters for Debian, Ubuntu & Pop_OS

  [ Alexandre Detiste ]
  * move the bulk of Ubuntu rules out of the way,
    only handle /etc/NetworkManager/system-connections/*
    on Debian (LP: #2019940)
  * add a generic explain script for runit-helper

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 11 Jun 2023 17:18:27 +0200

## cruft-ng 0.9.56

=== debian/changelog ===
cruft-ng (0.9.56) unstable; urgency=low

  * add explain/catch-all script for binfmt-support
  * add rules for deluged, tor, qemu-user-static, angband,
    debian-security-support, papirus-icon-theme
  * locales: handle /etc/default/locale -> /etc/locale.conf transition
  * better automatic tracking of transitional packages:
    * mime-support -> mailcap
    * proftpd-basic -> proftpd-core
    * ntp -> ntpsec
    * telnet -> inetutils-telnet
  * remove Ubuntu specific rules from the Debian build

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 30 Jul 2023 22:00:04 +0200

## cruft-ng 0.9.58

=== debian/changelog ===
cruft-ng (0.9.58) unstable; urgency=low

  * improve existing mode: "cruft FILE",
    it will now behave like "dpkg -S" on static files.
    (on directories, it will only print the first match)
  * add new mode: "cruft --package PACKAGE", to dump
    this one package ruleset, so that it can be
    re-used/migrated in another tool (debhelper/debputy).
  * parse the systemd .service files for
    CacheDirectory= / StateDirectory= stanzas that
    map respectively to /var/cache and /var/lib.

  * add support for running on "Windows Subsystem for Linux 2"
  * add rules for : asylum, bastet, pachi,
    petris, topper, xjump.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Sep 2023 02:25:17 +0200

cruft-ng (0.9.57) unstable; urgency=low

  * cruft will now detected old **/__pycache__/*.cpython-3*.pyc files
    that don't match the interpretors in /usr/bin/python3.*
  * generic handling of Ruby Gems.
    This ecosystem doesn't provide any postrm scripts...
    a lot of file will be marked as cruft after each major version bump.
  * call updatedb.plocate explicitly, to behave as expected when the old
    traditional updatedb.findutils is the default (Closes: #1043209)
  * new rules for: wvdial, ofono, sks, painintheapt, deluged,
    freedombox, prosody.
  * archive rules for old packages: gconf2, libncurses5
  * explain: review scripts with shellcheck
  * mention %ghost files in description and d/TODO
  * compatibility with DebHelper 14 & 15

  [ Christian Göttsche ]
  * apache: ignore all managed enabled and disabled entries
  * postfix: ignore distribution defaults
  * php-cgi: add package
  * raspi-firmware: ignore /boot/firmware stuff

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 22 Aug 2023 17:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  Both cruft-ng and cpigs base most of their results on
  dpkg's & plocate's databases, and also use a built-in custom
  homegrown ruleset to match volatile files
+ - also known as "ghost" files on .rpm based systemds -
  to the corresponding engine.
  .
  Packages wanting to document such volatile files can do so

## cruft-ng 0.9.59

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 mlocate.o: mlocate.cc locate.h
 
 cruft.o: cruft.cc explain.h filters.h dpkg.h python.h
-dpkg_lib.o: dpkg_lib.cc dpkg.h
+dpkg_lib.o: dpkg_lib.cc dpkg.h /usr/include/dpkg/dpkg.h
 dpkg_popen.o: dpkg_popen.cc dpkg.h
 
 cruftold: $(SHARED_OBJS) $(CRUFT_OBJS) mlocate.o dpkg_popen.o

=== debian/changelog ===
cruft-ng (0.9.59) unstable; urgency=low

  * make "cruft FILE" faster
  * add rules for:
      libjs-jquery-flot, geki2, bacula, icinga2,
      onak, autoradio, uptimed, samhain
  * update rules for:
      aide, systemd, apt-listchanges, unbound
  * also UsrMerge /lib64

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Nov 2023 23:15:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cruft-ng
 Section: admin
 Priority: optional
-Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
+Maintainer: Alexandre Detiste <tchet@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
 Build-Depends-Arch:

## cruft-ng 0.9.60

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PKG_CONFIG ?= pkg-config
 LIBDPKG_LIBS = $(shell $(PKG_CONFIG) --static --libs libdpkg)
 LIBDPKG_CFLAGS = $(shell $(PKG_CONFIG) --static --cflags libdpkg)
+LIBDPKG_CFLAGS += $(if $(shell $(PKG_CONFIG) --atleast-version 1.22.2 libdpkg && echo yes),-DLIBDPKG_HAS_NEW_FHFF)
 
 CXXFLAGS ?= -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2
 CXXFLAGS += -Wall -Wextra

=== debian/changelog ===
cruft-ng (0.9.60) unstable; urgency=medium

  * add new rules for ulogd2, oss-compat,
    local-apt-repository, knot, sn
  * update smartmontools, exim4,
    shared-mime-info
  * and many games: astromenace, geki3, hanna,
    lbreakout2, lbreakouthd, assaultcube,
    rocksndiammords, filler, pyracerz
  * derivatives: update kali-themes for Qt6
  * backports: fix libgdk-pixbuf2.0-0

  [ Guillem Jover ]
  * Adapt to libdpkg 1.22.2

 -- Alexandre Detiste <tchet@debian.org>  Tue, 19 Dec 2023 00:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch:
     pkgconf,
     libdpkg-dev,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/a-detiste/cruft-ng/
 Vcs-Git: https://github.com/a-detiste/cruft-ng.git
 Vcs-Browser: https://github.com/a-detiste/cruft-ng

=== debian/tests/control ===
Tests: basic
Restrictions: needs-root

Tests: ncdu
Restrictions: needs-root
Depends: @, jq

## cruft-ng 0.9.61build1

=== debian/changelog ===
cruft-ng (0.9.61build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:13 +1100

cruft-ng (0.9.61) unstable; urgency=medium

  * add new rules: extrepo, syslog-ng-core, w3c-sgml-lib
  * update existing rules: apt-xapian-index, bind9, ghc, snmpd,
    VisualStudio code
  * add explain scripts to analyse common chroots:
    * autopkgtest
    * cowdancer/cowbuild

  [ cgzones ]
  * USERS: ignore mail and crontab files for root

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #1059719)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Mar 2024 16:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cruft-ng
 Section: admin
 Priority: optional
-Maintainer: Alexandre Detiste <tchet@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Detiste <tchet@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
 Build-Depends-Arch:

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,11 @@
 override_dh_auto_build-arch:
 	./ruleset.sh $(DEB_DISTRIBUTION)
 ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
-	make cruftold cpigsold
+	dh_auto_build -- cruftold cpigsold
 	mv cruftold cruft
 	mv cpigsold cpigs
 else
-	make cruft cpigs
+	dh_auto_build -- cruft cpigs
 endif

## cruft-ng 0.9.61build2

=== debian/changelog ===
cruft-ng (0.9.61build2) noble; urgency=medium

  * No-change rebuild against libmd0t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Apr 2024 19:01:47 +0200

## cruft-ng 0.9.62

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 sid: cruft ruleset cpigs
 buster: cruftold cpigsold
 
-tests: test_locate test_explain test_filters test_excludes test_dpkg test_dpkg_old test_python cruftold
+tests: test_plocate test_explain test_filters test_excludes test_dpkg test_python
 
 cpigs.o: cpigs.cc owner.h
 owner.o: owner.cc owner.h
@@ -42,11 +42,6 @@
 test_dpkg: dpkg_lib.o test_dpkg.cc usr_merge.o $(LIBDPKG_LIBS)
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_dpkg.cc usr_merge.o dpkg_lib.o $(LIBDPKG_LIBS) -Wl,--no-demangle -o test_dpkg
 
-ifdef $(BUSTER):
-test_locate: test_mlocate
-else
-test_locate: test_plocate
-endif
 test_mlocate: test_locate.cc mlocate.o python.o
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_locate.cc mlocate.o python.o -lstdc++fs -o test_mlocate
 test_plocate: test_locate.cc plocate.o python.o

=== debian/changelog ===
cruft-ng (0.9.62) unstable; urgency=medium

  * run plocate with "--null" option to avoid being confused
    by paths containing the newline character (Closes: #1070216)
  * add new rules: click, clonezilla, drbl,
    libvirt-daemon-config-nwfilter, libvirt-daemon-system,
    monsterz, plasma-browser-integration
  * update rules: anacron, virtualbox-dkms, zfs-dkms
  * 64-bit time transition:
    * libglib2.0      -> libglib2.0-t64
    * libgtk2.0-0     -> libgtk2.0-0t64

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 May 2024 22:07:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cruft-ng
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Detiste <tchet@debian.org>
+Maintainer: Alexandre Detiste <tchet@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -10,8 +9,8 @@
     libdpkg-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/a-detiste/cruft-ng/
-Vcs-Git: https://github.com/a-detiste/cruft-ng.git
-Vcs-Browser: https://github.com/a-detiste/cruft-ng
+Vcs-Git: https://salsa.debian.org/detiste-guest/cruft-ng.git
+Vcs-Browser: https://salsa.debian.org/detiste-guest/cruft-ng
 Rules-Requires-Root: no
 
 Package: cruft-ng

## cruft-ng 0.9.63

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 CXXFLAGS += -Wall -Wextra
 override CXXFLAGS += $(LIBDPKG_CFLAGS)
 #CXXFLAGS += -std=c++17 #  clang++
-SHARED_OBJS = explain.o filters.o shellexp.o usr_merge.o python.o owner.o
+SHARED_OBJS = explain.o filters.o shellexp.o usr_merge.o python.o owner.o read_ignores.o
 CRUFT_OBJS = cruft.o dpkg_exclude.o bugs.o
 
-sid: cruft ruleset cpigs
+sid: cruft ruleset ruleset-minimal cpigs
 buster: cruftold cpigsold
 
 tests: test_plocate test_explain test_filters test_excludes test_dpkg test_python
@@ -19,17 +19,18 @@
 owner.o: owner.cc owner.h
 explain.o: explain.cc owner.h
 filters.o: filters.cc owner.h
-plocate.o: plocate.cc locate.h
+plocate.o: plocate.cc locate.h read_ignores.h
 mlocate.o: mlocate.cc locate.h
+read_ignores.o: read_ignores.cc read_ignores.h
 
-cruft.o: cruft.cc explain.h filters.h dpkg.h python.h
+cruft.o: cruft.cc explain.h filters.h dpkg.h python.h read_ignores.h nolocate.h
 dpkg_lib.o: dpkg_lib.cc dpkg.h /usr/include/dpkg/dpkg.h
 dpkg_popen.o: dpkg_popen.cc dpkg.h
 
 cruftold: $(SHARED_OBJS) $(CRUFT_OBJS) mlocate.o dpkg_popen.o
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) $(CRUFT_OBJS) mlocate.o dpkg_popen.o -lstdc++fs -pthread -o cruftold
-cruft: $(SHARED_OBJS) $(CRUFT_OBJS) plocate.o dpkg_lib.o
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) $(CRUFT_OBJS) plocate.o dpkg_lib.o $(LIBDPKG_LIBS) -pthread -o cruft
+cruft: $(SHARED_OBJS) $(CRUFT_OBJS) plocate.o dpkg_lib.o nolocate.o
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) $(CRUFT_OBJS) plocate.o dpkg_lib.o nolocate.o $(LIBDPKG_LIBS) -pthread -o cruft
 
 cpigsold: $(SHARED_OBJS) cpigs.o mlocate.o dpkg_popen.o
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $(SHARED_OBJS) cpigs.o mlocate.o dpkg_popen.o -lstdc++fs -o cpigsold
@@ -54,14 +55,17 @@
 test_filters: test_filters.cc filters.o dpkg_lib.o usr_merge.o owner.o $(LIBDPKG_LIBS)
 
 clean:
-	rm -f cpigs cruft cruftold ruleset test_?locate test_explain test_filters test_excludes test_dpkg test_dpkg_old test_diversions test_python test_bugs
+	rm -f cpigs cruft cruftold ruleset ruleset-minimal test_?locate test_explain test_filters test_excludes test_dpkg test_dpkg_old test_diversions test_python test_bugs
 	rm -f *.o
 
 ruleset: rules/*
 	echo Checking for trailing whitespaces
 	grep -E -R -H " +$$" rules/ || true
 	! grep -E -R -q " +$$" rules/
-	./ruleset.sh
+	./ruleset.sh ruleset
+
+ruleset-minimal: ruleset
+	./ruleset.sh ruleset-minimal
 
 flow.png: flow.ditaa
 	ditaa flow.ditaa flow.png

=== debian/changelog ===
cruft-ng (0.9.63) unstable; urgency=medium

  * welcome Jochen Sprickerhof as co-maintainer
  * add new rules: gunicorn, gravitywars, ketm, spacearyarya,
    live-boot, live-config, swtpm-tools, apparmor, udhcpc
  * update existing rules: base-files, python3, raspi-firmware,
    sddm, systemd, ofono, libvirt-daemon-config-network,
    clonezilla, lightdm, system-tools-backends, gnome-session

  [ Jochen Sprickerhof ]
  * new "--no-locate" option to make cruft-ng work without locate
    (Closes: #1072389)
  * new "--root" option to inspect root file systems from outside. Explain
    scripts need to check $CRUFT_ROOT to check inside or skip. Only
    implemented for "--no-locate".
  * add new rules: mpd-sima, fonts-urw-base35, lmodern, alsa-ucm-conf

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Jun 2024 16:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Alexandre Detiste <tchet@debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
     debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -18,6 +19,7 @@
 Depends:
   ${shlibs:Depends},
   ${misc:Depends},
+Recommends:
   ${dist:Depends},
 Suggests:
   ncdu,

## cruft-ng 0.9.63ubuntu1

=== debian/changelog ===
cruft-ng (0.9.63ubuntu1) oracular; urgency=medium

  * explain/fontconfig-config: fix CRUFT_ROOT: parameter not set
    (LP: #2079840)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 06 Sep 2024 11:09:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cruft-ng
 Section: admin
 Priority: optional
-Maintainer: Alexandre Detiste <tchet@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Detiste <tchet@debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
     debhelper-compat (= 13),

=== debian/tests/control ===
Tests: non-root

Tests: basic
Restrictions: needs-root
Depends: @, plocate

Tests: ncdu
Restrictions: needs-root
Depends: @, plocate, jq

## cruft-ng 0.9.64

=== debian/changelog ===
cruft-ng (0.9.64) unstable; urgency=medium

  * Fix bug found by Ubuntu CI (Closes: #1081002) (LP: #2079840)
  * new rules: tango-common, yorick, docbook-xsl-ns, docbook5-xml,
    python3.13, kxd, libopenmpi-dev, mecab-ipadic, mecab-ipadic-utf8,
    memcached, glx-alternative-nvidia, nvidia-kernel-dkms, octave
  * updated rules: LINUX-IMAGE, ocaml, sddm, wtpmdb
  * archive rule for python3.11
  * update Standards-Version to 4.7.0

  [ Jochen Sprickerhof ]
  * nolocate: don't inspect /run
  * debug: list unused ruleset entries
  * Move /var/log/lastlog to base-files
  * Update ocaml-base
  * Add rules for u-boot-menu and journal-brief

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 18:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: cruft-ng
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Detiste <tchet@debian.org>
+Maintainer: Alexandre Detiste <tchet@debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
     debhelper-compat (= 13),
 Build-Depends-Arch:
     pkgconf,
     libdpkg-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/a-detiste/cruft-ng/
 Vcs-Git: https://salsa.debian.org/detiste-guest/cruft-ng.git
 Vcs-Browser: https://salsa.debian.org/detiste-guest/cruft-ng

## cruft-ng 0.9.65

=== debian/changelog ===
cruft-ng (0.9.65) unstable; urgency=medium

  * Package is now team maintained by Debian Security Tools team.
    It can be used as a forensic tool to investigate systems
    messed-up by previous owner/admins.
  * Add new rules: pcp, greed, gtkballs
  * Update rules: init-system-helpers, ltris, grafana, installation-report

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 15:18:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cruft-ng
 Section: admin
 Priority: optional
-Maintainer: Alexandre Detiste <tchet@debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Alexandre Detiste <tchet@debian.org>,
+           Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
     debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -10,8 +11,8 @@
     libdpkg-dev,
 Standards-Version: 4.7.0
 Homepage: https://github.com/a-detiste/cruft-ng/
-Vcs-Git: https://salsa.debian.org/detiste-guest/cruft-ng.git
-Vcs-Browser: https://salsa.debian.org/detiste-guest/cruft-ng
+Vcs-Git: https://salsa.debian.org/pkg-security-team/cruft-ng.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/cruft-ng
 Rules-Requires-Root: no
 
 Package: cruft-ng

## cruft-ng 0.9.66

=== debian/changelog ===
cruft-ng (0.9.66) unstable; urgency=medium

  * Add new rules: animals, breeze-cursor-theme, dbeaver-ce,
    gnustep-base-common, freesweep, kf6-breeze-icon-theme,
    libapache2-mod-php8.4, libpaper2, odoo-18, varnish, vmm,
    webmin, wing, xbomb, xletters.
  * Update rules: apt, clamav-freshclam, dovecote-core, sddm.
  * Archive old rules: breeze-icon-theme, libpaper1, llvm-15-runtime,
    jupyter-nbextension-jupyter-js-widgets, qemu-user-static
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Mar 2025 12:05:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,36 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Alexandre Detiste <tchet@debian.org>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders:
+ Alexandre Detiste <tchet@debian.org>,
+ Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
-    debhelper-compat (= 13),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
-    pkgconf,
-    libdpkg-dev,
+ libdpkg-dev,
+ pkgconf,
 Standards-Version: 4.7.0
 Homepage: https://github.com/a-detiste/cruft-ng/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cruft-ng.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cruft-ng
 Rules-Requires-Root: no
+X-Style: black
 
 Package: cruft-ng
 Architecture: any
 Depends:
-  ${shlibs:Depends},
-  ${misc:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
 Recommends:
-  ${dist:Depends},
+ ${dist:Depends},
 Suggests:
-  ncdu,
-Breaks: cruft (<< 0.9.44~), cruft-common
-Replaces: cruft (<< 0.9.44~), cruft-common
+ ncdu,
+Breaks:
+ cruft (<< 0.9.44~),
+ cruft-common,
+Replaces:
+ cruft (<< 0.9.44~),
+ cruft-common,
 Description: programs that helps analyse volatile "cruft" files on your system
  cruft-ng is a program to look over your system for anything that shouldn't
  be there, but is - the so called "cruft";  or for anything
@@ -47,10 +53,13 @@
  using dh-cruft.
 
 Package: dh-cruft
-Depends: ${perl:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${perl:Depends},
 Architecture: all
 Multi-Arch: foreign
-Provides: dh-sequence-cruft
+Provides:
+ dh-sequence-cruft,
 Description: plugin for DebHelper to register .cruft and .purge files
  While the files listed in debian/<package>.cruft will simply be
  accounted for; the one in debian/<package>.purge will actually
@@ -60,7 +69,9 @@
  https://github.com/a-detiste/dh-cruft-test
 
 Package: cruft
-Depends: cruft-ng, ${misc:Depends}
+Depends:
+ cruft-ng,
+ ${misc:Depends},
 Architecture: all
 Section: oldlibs
 Description: transitional package

## cruft-ng 0.9.67

=== debian/changelog ===
cruft-ng (0.9.67) unstable; urgency=medium

  * Add rules for mallard-rng, elpa-notmuch
  * Update rules for git, plasma-browser-integration
  * Update Standards-Version to 4.7.0

  [ Jochen Sprickerhof ]
  * Add /var/lib/dpkg/arch-native for dpkg/1.22.16
  * Update raspi-firmware

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Mar 2025 20:10:13 +0100

## cruft-ng 0.9.68

=== debian/changelog ===
cruft-ng (0.9.68) unstable; urgency=medium

  * Add rules for ghc-doc, gnubg, glhack, casacore-data*, fp-compiler-3.2.2
  * Update rules for libuuid1

  [ Christian Göttsche ]
  * Add rules for podman and valkey (from redis ones) (Closes: #1102166)
  * Update rules for postfix, php-fpm, certbot, rspamd
  * Fix typos

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Apr 2025 12:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends-Arch:
  libdpkg-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/a-detiste/cruft-ng/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cruft-ng.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cruft-ng

## cruft-ng 0.9.69

=== debian/changelog ===
cruft-ng (0.9.69) unstable; urgency=medium

  * Add rules for rtpengine-daemon, dodgindiamond2,
    python3.14 (from experimental)
  * Update nfs-common
  * Remove rule for Python 3.12, never was in a stable release
  * wtmpdb: the library will create the DB by itsell, rename to libwtmpdb0

  [ NoisyCoil ]
  * add local-apt-repository.sources to local-apt-repository
    (Closes: #1104253)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 17 May 2025 16:35:08 +0200

## cruft-ng 0.9.70

=== debian/changelog ===
cruft-ng (0.9.70) unstable; urgency=medium

  * Test Trixie RC1 with default Gnome desktop
  * Add rule for: gnome-browser-connector
  * Update rule for installation-report, init-system-helpers,
    packagekit, update gdm3

  [ Christian Göttsche ]
  * rspamd: include fonts copied into www document root
  * php-common: add module root directory

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 18:54:05 +0200

## cruft-ng 0.9.71

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	rm -f cpigs cruft cruftold ruleset ruleset-minimal test_?locate test_explain test_filters test_excludes test_dpkg test_dpkg_old test_diversions test_python test_bugs
 	rm -f *.o
 
-ruleset: rules/*
+ruleset: rules/* non-free/*
 	echo Checking for trailing whitespaces
 	grep -E -R -H " +$$" rules/ || true
 	! grep -E -R -q " +$$" rules/

=== debian/changelog ===
cruft-ng (0.9.71) unstable; urgency=medium

  * Add rules for libc6-x32, libc6-i386.
  * Update rules for emacsen-common, petsc, sddm, grub-efi-amd64-bin.
  * Remove or archive old rules: intel-microcode, debtags,
    apt-xapian-index, wine-development, libapache2-mod-php8.3.

  [ Jochen Sprickerhof ]
  * Use apt for purge "~c" example in the man page
  * Drop /var/log/{lastlog,btmp,wtmp} from base-files and logrotate
  * Add rules for firebird4.0-common and lcl-utils-4.0

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Jun 2025 23:04:18 +0200

## cruft-ng 0.9.72

=== debian/changelog ===
cruft-ng (0.9.72) unstable; urgency=medium

  * Integration the results of https://openqa.debian.net/ testing.
  * Add rules for gnome-brave-icon-theme, gnome-colors-common,
    gnome-dust-icon-theme, gnome-human-icon-theme,
    gnome-illustrious-icon-theme, gnome-noble-icon-theme,
    gnome-wine-icon-theme, gnome-wise-icon-theme, slick-greeter,
    mate-icon-theme
  * Update rules for: colord, gnome-accessibility-themes, lightdm
  * Refresh GPL-2 license text

  [ Christian Göttsche ]
  * update podman

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Jul 2025 16:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdpkg-dev,
  pkgconf,
 Standards-Version: 4.7.2
-Homepage: https://github.com/a-detiste/cruft-ng/
+Homepage: https://salsa.debian.org/pkg-security-team/cruft-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cruft-ng.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cruft-ng
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 override_dh_auto_build-indep:
 
 override_dh_auto_build-arch:
-	./ruleset.sh $(DEB_DISTRIBUTION)
+	./ruleset.sh ruleset $(DEB_DISTRIBUTION)
+	./ruleset.sh ruleset-minimal $(DEB_DISTRIBUTION)
 ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
 	dh_auto_build -- cruftold cpigsold
 	mv cruftold cruft
@@ -57,4 +58,5 @@
 	dh_install
 	mkdir -p debian/cruft-ng/usr/lib/cruft/
 	cp -a dpkg_csv.py debian/cruft-ng/usr/lib/cruft/
+	cp -av archive/explain/* debian/cruft-ng/usr/libexec/cruft/
 endif

## cruft-ng 0.9.73

=== debian/changelog ===
cruft-ng (0.9.73) unstable; urgency=medium

  * Drop the old transitional "cruft" package & /usr/bin/cruft-ng symlink
  * Make (U)EFI matching case-insensitive (Closes: #1111832)
  * Add rules for: grace, musescore3-common, pdl, typespeed
  * Update rules for: apparmor, cfengine3
  * Archive rules for: grub-legacy, xletters
  * Build with -Werror

  [ Jochen Sprickerhof ]
  * Don't provide a default /usr/share/cruft/ignore file
  * Make shell scripts POSIX compatible
  * Drop superfluous || true in shell
  * Refresh bug list for neovim and hdf5
  * Alternatives:
    * Read complete output of update-alternatives
    * List broken alternatives
    * Don't fail on broken slave

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Sep 2025 08:41:29 +0200

## cruft-ng 0.9.74

=== debian/changelog ===
cruft-ng (0.9.74) unstable; urgency=medium

  * Fix glitches in UEFI scripts

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Sep 2025 09:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -67,12 +67,3 @@
  .
  Some demo package can be found at:
  https://github.com/a-detiste/dh-cruft-test
-
-Package: cruft
-Depends:
- cruft-ng,
- ${misc:Depends},
-Architecture: all
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.

## cruft-ng 0.9.75

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,8 @@
 LIBDPKG_CFLAGS += $(if $(shell $(PKG_CONFIG) --atleast-version 1.22.2 libdpkg && echo yes),-DLIBDPKG_HAS_NEW_FHFF)
 
 CXXFLAGS ?= -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2
-CXXFLAGS += -Wall -Wextra
+CXXFLAGS += -Wall -Wextra -Werror
 override CXXFLAGS += $(LIBDPKG_CFLAGS)
-#CXXFLAGS += -std=c++17 #  clang++
 SHARED_OBJS = explain.o filters.o shellexp.o usr_merge.o python.o owner.o read_ignores.o
 CRUFT_OBJS = cruft.o dpkg_exclude.o bugs.o

=== debian/changelog ===
cruft-ng (0.9.75) unstable; urgency=medium

  * Add new rules: debian-edu-config, debian-edu-install, jackd2
  * Update rules: cfengine3, grub-efi-amd64-bin
  * Improve autopkgtest coverage

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces
  * Switch to no-locate by default
  * Add new rule: radicale
  * Update rule: fetchmail

 -- Alexandre Detiste <tchet@debian.org>  Fri, 19 Sep 2025 12:06:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -33,14 +33,6 @@
 	dh_auto_build -- cruft cpigs
 endif
 
-
-override_dh_gencontrol-arch:
-ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
-	dh_gencontrol -- -Vdist:Depends="mlocate"
-else
-	dh_gencontrol -- -Vdist:Depends="plocate"
-endif
-
 override_dh_auto_install-indep:
 	dh_auto_install --destdir=debian/cruft-ng
 	mkdir -p debian/tmp/

## cruft-ng 0.9.76

=== debian/changelog ===
cruft-ng (0.9.76) unstable; urgency=medium

  * Add new rules: python3-rtslib-fb, squeak-vm, targetcli-fb,
    grafana-enterprise, kde-style-oxygen-qt6, tuned, tuned-ppd
  * Update ruels: gdm3, octave

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Nov 2025 18:47:42 +0100

=== debian/control ===
--- 
+++ 
@@ -22,16 +22,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- ${dist:Depends},
 Suggests:
  ncdu,
-Breaks:
- cruft (<< 0.9.44~),
- cruft-common,
-Replaces:
- cruft (<< 0.9.44~),
- cruft-common,
 Description: programs that helps analyse volatile "cruft" files on your system
  cruft-ng is a program to look over your system for anything that shouldn't
  be there, but is - the so called "cruft";  or for anything

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 export DEB_CPPFLAGS_MAINT_APPEND = -DBUSTER
 endif
 
-ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),xenial))
-export DEB_CPPFLAGS_MAINT_APPEND = -DBUSTER -std=gnu++1y
-endif
-
 %:
 	dh $@
 
@@ -25,7 +21,7 @@
 override_dh_auto_build-arch:
 	./ruleset.sh ruleset $(DEB_DISTRIBUTION)
 	./ruleset.sh ruleset-minimal $(DEB_DISTRIBUTION)
-ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
+ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster focal))
 	dh_auto_build -- cruftold cpigsold
 	mv cruftold cruft
 	mv cpigsold cpigs
@@ -38,14 +34,11 @@
 	mkdir -p debian/tmp/
 	pod2man --utf8 dh-cruft/dh_cruft debian/tmp/dh_cruft.1
 
-
-ifneq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),xenial))
 override_dh_install-indep:
 	dh_install
 	sed -i 's/DH_CRUFT_VERSION/"$(DEB_VERSION)"/' debian/dh-cruft/usr/bin/dh_cruft
-endif
 
-ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
+ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster focal))
 override_dh_install-arch:
 	dh_install
 	mkdir -p debian/cruft-ng/usr/lib/cruft/

=== debian/tests/control ===
Tests:
 non-root,

Tests:
 basic,
Restrictions:
 needs-root,
Depends:
 plocate,
 @,

Tests:
 ncdu,
Restrictions:
 needs-root,
Depends:
 jq,
 plocate,
 @,

## cruft-ng 0.9.77

=== debian/changelog ===
cruft-ng (0.9.77) unstable; urgency=medium

  * Fix getopt short arguments
  * Archive rule for removed "ca-certificates-mono"
  * Add rules for: libeckit0d, late, gnunet, codium, syncthing, xpra,
    greetd, joystick, libwebcam, btrfs-progs, iptraf-ng.
  * Update rule for "containerd"
  * Drop "Rules-Requires-Root: no": it is now the default

  [ Mike Mestnik ]
  * Do not decent into ignored folders (Closes: #1120816)
  * Check ignore path ending with /

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 18:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Homepage: https://salsa.debian.org/pkg-security-team/cruft-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cruft-ng.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cruft-ng
-Rules-Requires-Root: no
 X-Style: black
 
 Package: cruft-ng

## cruft-ng 0.9.78

=== debian/changelog ===
cruft-ng (0.9.78) unstable; urgency=medium

  * Add rules for: bash, dhcpcd, glycin-loaders, gvfs-common, filler,
    kleborate, rdtool-elisp
  * Update rules for: dictionaries-common, elpa-notmuch, emacsen-common,
    iptraf-ng, lcl-utils-*, libsnmp-base, nfs-kernel-server, omega-rpg, redis
  * Archive rules for: grub-common, hannah, libgvc6
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

  [ Jochen Sprickerhof ]
  * Update graphviz rule

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Mar 2026 13:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cruft-ng
 Section: admin
-Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Alexandre Detiste <tchet@debian.org>,
@@ -10,7 +9,7 @@
 Build-Depends-Arch:
  libdpkg-dev,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://salsa.debian.org/pkg-security-team/cruft-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/cruft-ng.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/cruft-ng
